/* importamos las fuentes para la página */
@font-face {
    font-family: Gotham;
    src: url('../../assets/fonts/Gotham/Gotham-Black.otf');
    font-weight: 1000;
    font-display: swap;
}
@font-face {
    font-family: Gotham;
    src: url('../../assets/fonts/Gotham/Gotham-Bold.otf');
    font-weight: 800;
    font-display: swap;
}
@font-face {
    font-family: Gotham;
    src: url('../../assets/fonts/Gotham/GothamMedium.ttf');
    font-weight: 400;
    font-display: swap;
}
@font-face {
    font-family: Gotham;
    src: url('../../assets/fonts/Gotham/Gotham-Light.otf');
    font-weight: 300;
    font-display: swap;
}
@font-face {
    font-family: Gotham;
    src: url('../../assets/fonts/Gotham/Gotham-XLight.otf');
    font-weight: 200;
    font-display: swap;
}
@font-face {
    font-family: Gotham;
    src: url('../../assets/fonts/Gotham/Gotham-Thin.otf');
    font-weight: 100;
    font-display: swap;
}
* { 
    padding: 0;
    margin: 0;
    font-family: Gotham;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    font-display: swap;
    box-sizing: border-box;
}
:root {
    --mainColor: #d81f3b; 
    --w: white;
    --gris: rgb(146, 146, 146);
}
body { 
    background: #000;
    color: var(--w);
    font-weight: 100;
    letter-spacing: 1px;
    width: 100%;
    overflow-x: hidden;
}
.active { 
    color: var(--mainColor) !important;
}
.titulo-section {
    color: var(--mainColor);
    text-transform: uppercase;
    width: 400px;
    display: flex;
    align-items: center;
    
}
.titulo-section span { 
    font-weight: 300;
    letter-spacing: 1px;
    font-size: 0.9em;
    margin-left: 10px;
}
.titulo-section::before { 
    content: '';
    display: block;
    background: var(--mainColor);
    width: 60px;
    height: 1px;
}
/* __________ HEADER __________ */

header { 
    width: 100%;
    max-width: 85%;
    margin: 0 auto;
    left: 0;
    right: 0;
    position: fixed;
    z-index: 10000000;
}
header .navbar-lg, 
header .navbar-sm {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap:  wrap;
    transition: 1s;
}
header .navbar-lg .logo-box { 
    width: 85px;
    background: var(--w);
    padding: 28px 10px;
}
header .navbar-lg .logo-box img { 
    width: 100%;
}
header .navbar-lg ul { 
    display: flex;
}
header .navbar-lg ul li a { 
    color: var(--w);
    padding: 15px 25px;
    font-size: 0.8em;
    font-weight: 200;
    text-transform: uppercase;
    background: black;
    transition: 0.3s;
    letter-spacing: 1.5px;
}
header .navbar-lg ul li:hover > a {
    color: var(--mainColor);
    opacity: 1;
    transition: 0.3s;
}
header .navbar-sm { 
    display: none;
}

/* __________ SECCIONES DIMENSIONES __________ */

section#inicio,
section#nosotros,
section#modely,
section#contacto,
section#video,
section#newsletter,
footer { 
    width: 100%;
    max-width: 85%;
    margin: 0 auto;
    margin-bottom: 10%;
}

/* __________ INICIO  __________ */

section#inicio { 
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    cursor: url(../../assets/img/cursor_video.png), pointer;
    height: 100vh;

}
section#inicio .box-car{
    width: 100%;
    height: 85%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: 1s;
}
section#inicio .box-car img { 
    width: 77%;
    background-image: url(../../assets/img/TESLA_LOGO_BG.png);
    background-size: 80%;
    background-repeat: no-repeat;
    background-position: center;
    background-position-x: 37%;
}
section#inicio .box-info{
    max-width: 1100px;
    height: 15%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    margin-top: -5%;
}
section#inicio .box-info .box {
    width: 150px;
    height: 125px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
    text-align: center;
}
section#inicio .box-info .box h2 {
    font-weight: 300;
    font-size: 2.3em;
}
section#inicio .box-info .box h3 {
    font-weight: 100;
    font-size: 0.7em;
    margin-top: 10px;
    text-transform: uppercase;
}

/* __________ VIDEO  __________ */
section#video { 
    
    max-width: 100%;
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
}
section#video > iframe { 
    width: 100%;
    height: 100%;
    position: absolute;
}

/* __________ NOSOTROS __________ */

section#nosotros { 
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
section#nosotros > #box-info-nosotros { 
    max-height: 550px;
    height: 700px;
    max-width: 500px;
    width: 100%;
    background: rgb(5, 5, 5);
    padding: 30px 30px;
    overflow-wrap: break-word;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}
section#nosotros > #box-info-nosotros h1 {
    font-size: 1.3em;
    text-transform: uppercase;
    margin: 30px 0px;
    overflow-wrap: break-word; /* <<<< --- texto break */
}
section#nosotros > #box-info-nosotros a { 
    width: 100%;
    padding: 10px 0px;
    text-align: center;
    color: var(--mainColor);
    border: 1px solid var(--mainColor);
    text-transform: uppercase;
    font-size: 0.9em;
    transition: 0.4s;
    margin-top: 10px;
}
section#nosotros > #box-info-nosotros a:hover{
    background: var(--mainColor);
    color: white;
    transition: 0.4s;
}
section#nosotros > #box-img-nosotros {
    max-height: 550px;
    height: 700px;
    max-width: 500px;
    width: 100%;
}
section#nosotros > .box > img { 
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/* __________ MODEL Y  __________ */
section#modely {
    max-width: 100%;
    height: 100vh;
}
section#modely #background-modely {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
section#modely > .info-wrapper {
    width: 300px;
    height: 325px;
    position: absolute;
    margin-top: 7.5%;
    right: 7.5%;
    background: rgba(22, 26, 33, 0.747);
    backdrop-filter: blur(50px);
}
section#modely > .info-wrapper .box-img { 
    width: 100%;
}
section#modely > .info-wrapper .box-img img { 
    width: 100%;
    object-fit: cover;
}
section#modely > .info-wrapper .box-info {
    max-width: 100%;
    width: 90%;
    height: 200px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
} 
section#modely > .info-wrapper .box-info .data {
    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
}
section#modely > .info-wrapper .box-info .data .data-info {
    width: 70%;
    padding: 10px;
}
section#modely > .info-wrapper .box-info .data .progress-bar {
    width: 100%;
    height: 2px;
    background: rgba(255, 255, 255, 0.103);
    border-right: 5px solid red;
}
section#modely > .info-wrapper .box-info .data .progress-bar .progress {
    height: 100%;
    background: var(--w);
    margin: 5px 0px;
    transition: 2s;
}
section#modely > .info-wrapper .box-info .data .num {
    position: absolute;
    padding: 5px;
    right: 8px;
    font-size: 2.5em;
    opacity: 0.5;
}
section#modely > .info-wrapper .box-info .data .data-info span { 
    text-transform: uppercase;
    font-size: 0.9em;
}
section#modely > .box-buttons {
    width: 100%;
    margin-top: 90vh;
    position: absolute;
    padding: 10px 7.5%;
    display: flex;
    justify-content: flex-end;
    z-index: 10000;
}
section#modely > .box-buttons button { 
    width: 200px;
    height: 35px;
    border: none;
    backdrop-filter: blur(400px);
    background: rgba(22, 26, 33, 0.747);
    cursor: pointer;
    text-transform: uppercase;
    color: white;
    margin-top: -2%;
}
section#modely > .configurador { 
    width: 100%;
    height: 100vh;
    background: white;
    position: absolute;
    display: flex;
    margin-left: -100vw; 
    color: black;
    transition: 0.6s;
}
section#modely > .configurador .box-vehicle-img { 
    width: 70%;
    height: 100%;
}
section#modely > .configurador .box-vehicle-img > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.4s;
}
section#modely > .configurador .box-data-vehicle { 
    width: 30%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
section#modely > .configurador .box-data-vehicle > .wrapper-info { 
    max-height: 800px;
    max-width: 100%;
    width: 90%;
    margin: 20px auto;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    padding-bottom: 20%;
    background: white;
}
section#modely > .configurador .box-data-vehicle > .wrapper-info  > p {
    font-weight: 300;
}
section#modely > .configurador .box-data-vehicle > .wrapper-info .box-colores { 
    width: 200px;
    height: 55px;
    display: flex;
    justify-content: space-around;
}
section#modely > .configurador .box-data-vehicle > .wrapper-info .box-colores > .box-color {
    width: 55px;
    height: 100%;
    border-radius: 100%;
    cursor: pointer;
    
}
section#modely > .configurador .box-data-vehicle > .box-color, .white {
    background: rgb(159,159,159);
    background: -moz-linear-gradient(4deg, rgba(159,159,159,1) 0%, rgba(255,255,255,1) 44%, rgba(150,150,150,1) 100%);
    background: -webkit-linear-gradient(4deg, rgba(159,159,159,1) 0%, rgba(255,255,255,1) 44%, rgba(150,150,150,1) 100%);
    background: linear-gradient(4deg, rgba(159,159,159,1) 0%, rgba(255,255,255,1) 44%, rgba(150,150,150,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#9f9f9f",endColorstr="#969696",GradientType=1);
}
section#modely > .configurador .box-data-vehicle > .box-color, .black {
    background: rgb(0,0,0);
    background: -moz-linear-gradient(4deg, rgba(0,0,0,1) 0%, rgba(31,31,31,1) 44%, rgba(0,0,0,1) 100%);
    background: -webkit-linear-gradient(4deg, rgba(0,0,0,1) 0%, rgba(31,31,31,1) 44%, rgba(0,0,0,1) 100%);
    background: linear-gradient(4deg, rgba(0,0,0,1) 0%, rgba(31,31,31,1) 44%, rgba(0,0,0,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#000000",GradientType=1);
}
section#modely > .configurador .box-data-vehicle > .box-color, .red {
    background: rgb(255,0,0);
    background: -moz-linear-gradient(4deg, rgba(255,0,0,1) 0%, rgba(173,22,22,1) 44%, rgba(255,0,0,1) 100%);
    background: -webkit-linear-gradient(4deg, rgba(255,0,0,1) 0%, rgba(173,22,22,1) 44%, rgba(255,0,0,1) 100%);
    background: linear-gradient(4deg, rgba(255,0,0,1) 0%, rgba(173,22,22,1) 44%, rgba(255,0,0,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ff0000",endColorstr="#ff0000",GradientType=1);
}
section#modely > .configurador .information-fuel {
    padding: 20px;
    background: rgb(212, 246, 255);
    font-weight: 300;
    max-width: 370px;
}
section#modely > .responsive-section {
    display: none;
}

/* __________ NEWSLETTER __________ */
section#newsletter {
    max-width: 2000px;
    width: 100%;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
}
section#newsletter > .container-news {
    width: 80%;
    height: 30%;
    background: rgba(22, 26, 33, 0.747);
    background-image: url(../../assets/img/bg-newsletter.png);
    background-size: cover;
    backdrop-filter: blur(30);
    border-radius: 15px;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-end;
    border: 1px solid rgb(15, 15, 15);
}
section#newsletter > .container-news .box-img { 
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
section#newsletter > .container-news .box-img img { 
    width: 90%;
}
section#newsletter > .container-news .info-news { 
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0px 50px;
}
section#newsletter > .container-news .info-news form { 
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    gap: 30px;
}
section#newsletter > .container-news .info-news form label { 
    font-size: 1.6em;
}
section#newsletter > .container-news .info-news form input {
    background: rgba(22, 26, 33, 0.384);
    padding: 15px;
    border: 1px solid rgba(33, 39, 48, 0.123);
    border-radius: 5px;
    color: white;
    width: 150%;
}
/* __________ CONTACTO __________ */
section#contacto {
    max-width: 1200px;
    height: 600px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
section#contacto > .wrapper-iframe iframe { 
    width: 100%;
    height: 575px;
}
section#contacto > .wrapper-iframe,
section#contacto > .wrapper-form {
    margin-top: 2.5%;
    width:  50%;
}
section#contacto > .wrapper-form{
    height: 100%;
    padding: 10px;
}

section#contacto > .wrapper-form form {
    width: 100%;
    height: 100%;
    background: rgb(5, 5, 5);
    padding: 50px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
section#contacto > .wrapper-form form .inputs-contacto {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 15px;
}
section#contacto > .wrapper-form form .inputs-contacto input,
section#contacto > .wrapper-form form .inputs-contacto textarea { 
    padding: 10px 15px;
    background: rgb(10, 10, 10);
    border: 1px solid rgba(85, 85, 85, 0.123);
    color: white;
}
section#contacto > .wrapper-form form .inputs-contacto label {
    text-transform: uppercase;
    font-size: 0.8em;
}
section#contacto > .wrapper-form form .inputs-contacto input::placeholder,
section#contacto > .wrapper-form form .inputs-contacto textarea::placeholder{
    color: var(--gris);
    font-weight: 200;
    font-size: 13px;
}
section#contacto > .wrapper-form form > button { 
    padding: 10px;
    background: var(--mainColor);
    border: none;
    cursor: pointer;
    transition: 0.5s;
}
section#contacto > .wrapper-form form > button:hover{
    color: var(--mainColor);
    outline: 1px solid var(--mainColor);
    background: transparent;
    transition: 0.5s;
}

footer {
    max-width: 100%;
    margin-bottom: 0% !important;
    margin-top: 100px;
}
footer .primera, .segunda, .tercera{
    width: 100%;
    border-top: rgb(12, 12, 12) solid 1px;
    background: rgb(5, 5, 5);
}
footer .primera {
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}
footer .primera .wrapper-icons ul {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    flex-wrap: wrap;
}
footer .primera .wrapper-icons ul li img {
    width: 150px;
}
footer .primera .wrapper-icons ul li a {
    color: white;
    transition: 0.2s;
}
footer .primera .wrapper-icons ul li a:hover{
    color: var(--gris);
    transition: 0.2s;
}
footer .segunda { 
    height: 300px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    font-size: 0.9em;
    color: white;
    line-height: 20px;
}
footer .segunda .wrapper-integrantes  {
    display: flex;
}
footer .segunda .wrapper-integrantes .right { 
    text-align: right;
}
footer .tercera{
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.75em;
    color: var(--gris);
    text-transform: uppercase;
}

@media (max-width: 960px){
    /* GENERAL */
    section#inicio,
    section#nosotros,
    section#modely,
    section#contacto,
    section#video,
    section#newsletter,
    footer { 
        max-width: none;
    }
    /* __________ MODEL Y __________ */
    section#modely { 
        flex-direction: column;
        width: 100%;
        margin-bottom:40%;
    }
    /* __________ NEWSLETTER __________ */
    section#newsletter,
    section#modely > #background-modely,
    section#modely > .configurador, 
    section#modely > .info-wrapper,
    section#modely > .box-buttons{
        display: none !important;
    }
     /* __________ MODELY __________ */
    section#modely > .responsive-section {
        width: 100%;
        background: rgba(22, 26, 33, 0.747);
        padding: 50px 30px;
        display: flex;
        flex-direction: column;
    }
    section#modely > .responsive-section > .box-img { 
        width: 100%;
        height: 150px;
        margin: 45px 0px;
    }
    section#modely > .responsive-section .box-img img { 
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    section#modely > .responsive-section .info-responsive-section{
        width: 100%;
    }
    section#modely > .responsive-section .info-responsive-section h2 {
        margin-bottom: 20px;
    }
    section#modely > .responsive-section .info-responsive-section p {
        text-align: justify;
    }
    section#modely > .responsive-section .info-responsive-section .box-data-info {
        width: 100%;
        height: 70px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.068);
        margin-top: 40px;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    section#modely > .responsive-section .info-responsive-section .box-data-info > .num {
        font-size: 2.7em;
        font-weight: 300;
    }
    section#modely > .responsive-section .info-responsive-section .box-data-info > .title {
        font-size: 0.85em;
        opacity: 0.8;
    }

 /* __________ CONTACTO __________ */
 section#contacto > .wrapper-iframe iframe{
    width: 100%;
    height: 300px;
 }
    section#contacto > .wrapper-iframe,
    section#contacto > .wrapper-form {
    margin-top: 2.5%;
    width:  100%;
}

 /* __________ FOOTER __________ */
 footer .segunda .wrapper-integrantes { 
    max-width: 100%;
    width: 90%;
    display: block;
    text-align: left;
    line-height: 25px;
    font-size: 0.9em;
 }
 footer .segunda .wrapper-integrantes .right {
    text-align: left;
 }
 footer {
    margin-top: 400px;
}
}
@media (max-width: 768px){ 

    /* ________ HEADER ________ */
    header {
        position: absolute;
    }
    header .navbar-lg { 
        display: none;
    }
    header .navbar-sm { 
        display: flex;
        justify-content: center;
        padding: 30px 5px;
    }
    header .navbar-sm .logo-box{ 
        width: 70px;
    }
    header .navbar-sm .logo-box img { 
        width: 100%;
    }
    header .navbar-sm .nav-box {
        position: fixed;
        bottom: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 65%;
        background: rgba(22, 26, 33, 0.747);
        backdrop-filter: blur(4px);
        border-radius: 15px;
        
    }
    header .navbar-sm .nav-box ul { 
        display: flex;
        justify-content: space-around;
        align-items: center;
        height: 55px;
        width: 100%;
    }
    header .navbar-sm .nav-box ul li a { 
        color: var(--w);
        padding: 5px;
        transition: 0.3s;
    }
    header .navbar-sm .nav-box ul li a:hover {
        color: var(--mainColor);
    }
    header .navbar-sm .nav-box ul li:hover > .icon-description {
        position: absolute;
        margin-top: -70px;
        left: 0;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    header .navbar-sm .nav-box .icon-description > p {
        color: var(--gris);
        padding: 5px 20px;
        border-radius: 30px;
        text-transform: uppercase;
        font-size: 0.8em;
        font-weight: 300;
    }

    /* ________ INICIO ________ */
    section#inicio .box-car{ 
        justify-content: center;
        height: 65%;
        position: absolute;
        top: 10%;
    }
    section#inicio .box-info {
        max-width: 300px;
    }
    section#inicio .box-car img {
        width: 110%;
    }
    section#inicio .box-car .box { 
        margin-top: -36px;
    } 

    /* __________ NOSOTROS __________ */
    section#nosotros { 
        margin-top: 10%;
        
    }
    section#nosotros > .box {
        display: block;
    }
    section#nosotros > #box-img-nosotros, 
    section#nosotros > #box-info-nosotros { 
        width: 100%;
        max-height: none;
    }

    section#modely { 
        flex-direction: column;
        width: 100%;
        margin-bottom:50%;
    }



      /* ________ FOOTER ________ */
      footer { 
        margin-bottom: 20% !important;
      }
      footer > .primera {
        height: 100%;
      }
      footer > .primera .wrapper-icons ul {
        display: block;
        padding: 70px 30px;
        text-align: center;
      }
      footer > .primera .wrapper-icons ul li {
        padding: 10px;
    }
    footer > .primera .wrapper-icons ul li a {
        
        color: wheat;
      }
      footer > .tercera {
        margin-top: 15%;
        font-size: 0.5em;
      }
      
}

@media (max-width: 540px){
    body { 
        font-size: 14px;
    }
    section#inicio .box-car{ 
        top: 5%;

    }
    section#inicio .box-car img {
        width: 120%;
    }
    section#modely { 
        flex-direction: column;
        width: 100%;
        margin-bottom:80%;
    }
}